<?
require_once('include/global.php');
require_once("include/admin_alias_lib.php");
require_once('include/admin_lib.php');
//require_once('sadmin_conf.inc.php');


// check
	if (!$_GET['m_no'])
		msg('올바른 URL로 접근하여 주십시오');


// set
	if ($_GET['isadmin'])
	{
		auth_limit('admin');
		$CFG['TITLE'] = '<b>관리자메뉴</b> >> <b>앨리어스 주소 관리</b> >> <b>수정</b>';
		$_GET['d_no'] = $G['DINFO']['d_no'];
	} else
	{
		auth_limit('serveradmin');
		$CFG['TITLE'] = '<b>메일서버관리</b> >> <b>전체 앨리어스 주소 관리</b> >> <b>수정</b>';
	}	// if()


// data
	// get
		$sql = "
			SELECT
				d_no, m_id, m_name, m_memo, m_cfg_from_addr
			FROM
				".$TB['MEMBER']."
			WHERE
				m_no='". $_GET['m_no'] . "'
				AND d_no='". $_GET['d_no'] . "'
				AND m_usertype='A'
			";
		$row = db_get_row($sql);

		if (!$row)
			msg("존재하지 않는 앨리어스 주소입니다.");


	$view = array();
	$view = setform_admin_alias($row);

	$view['d_name'] = get_d_name($row['d_no']);

// skin view
	$CFG['ACTION'] = 'admin_alias_mod_ok.php';
	nskinset('sadmin', 'admin_alias_form.html');
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>